# Package edu.isi.pegasus.planner.cluster.aggregator

Class Summary
Abstract: An abstract implementation of the JobAggregator interface, which the other implementations can choose to extend.
JobAggregatorFactory: A factory class to load the appropriate JobAggregator implementations while clustering jobs.
JobAggregatorInstanceFactory: A JobAggergator factory that caches up the loaded implementations.
MPIExec: This class aggregates the smaller jobs in a manner such that they are launched at remote end, by mpiexec on n nodes where n is the nodecount associated with the aggregated job that is being lauched by mpiexec.
SeqExec: This class aggregates the smaller jobs in a manner such that they are launched at remote end, sequentially on a single node using seqexec.

Exception Summary
JobAggregatorFactoryException: Class to notify of failures while instantiating JobAggregator implementations.